#pragma once
#include <map>
struct Fish_ShopCFGData
{
	//key
	int mShopID;
	//物品id
	int mItemID;
	//数量
	int mItemCount;
	//消耗类型(1金币,2礼券,3月卡炮)
	int mConsumeType;
	//背包类型（1道具,2装备,3鱼雷,4鱼雷碎片,5灵珠,6宝箱)
	int mKnapsackType;
	//消耗数量
	int mConsumeCount;
	//是否开放
	std::vector<int> mShowType;
	//合成id
	int mSynthesisId;
	//是否支持VIP打折(0不打折)
	int mNeedVIP;
	//商店页面显示（0-vip,1-特惠,2-背包）
	int mShopTab;
	//能否发布
	int mRelease;
	//发布VIP等级
	int mReleaseVIP;
	//炮台id
	int mTurrestId;
};

class Fish_ShopCFG
{
public:
private:
	static std::auto_ptr<Fish_ShopCFG> msSingleton;
public:
	int GetCount();
	const Fish_ShopCFGData* GetData(int ShopID);
	const std::map<int, Fish_ShopCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ShopCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ShopCFGData> mMapData;
};
